import request from '@/utils/request'

// 查询用户和账套关系列表
export function listBook(query) {
  return request({
    url: '/system/book/list',
    method: 'get',
    params: query
  })
}

// 查询用户和账套关系详细
export function getBook(userId) {
  return request({
    url: '/system/book/get/' + userId,
    method: 'get'
  })
}

// 新增用户和账套关系
export function addBook(data) {
  return request({
    url: '/system/book/add',
    method: 'post',
    data: data
  })
}

// 修改用户和账套关系
export function updateBook(data) {
  return request({
    url: '/system/book/edit',
    method: 'post',
    data: data
  })
}

// 删除用户和账套关系
export function delBook(userId) {
  return request({
    url: '/system/book/remove/' + userId,
    method: 'get'
  })
}

// 导出用户和账套关系
export function exportBook(query) {
  return request({
    url: '/system/book/export',
    method: 'get',
    params: query
  })
}
